apiVersion: tekton.dev/v1beta1
kind: Task
metadata:
  name: write-ads
spec:
  params:
    - name: source
      type: string
    - name: today
      type: string
  steps:
    - command:
        - python
        - main.py
        - write_ads
        - --filename=$(params.source).enriched.jsonl
      envFrom:
        - configMapRef:
            name: historical-importer-configmap
      env:
        - name: OPENSEARCH_USER
          valueFrom:
            secretKeyRef:
              key: historicalWriteUser
              name: opensearch-credentials
        - name: OPENSEARCH_PWD
          valueFrom:
            secretKeyRef:
              key: historicalWritePwd
              name: opensearch-credentials
        - name: TEMP_DIRECTORY
          value: $(workspaces.archived_ads.path)
      image: >-
        registry.gitlab.com/arbetsformedlingen/job-ads/historical-importer/main:latest
      name: write-ads
      resources: {}
  workspaces:
    - description: |
        The folder where we write the jsonl files
        with archived ads to.
      name: archived_ads
      optional: true
